//+------------------------------------------------------------------+
//|                                                     MA_Cloud.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Keris2112"
#property link      "http://www.forex-tsd.net/"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 DimGray

//---- input parameters
extern int MA1 = 50;
extern int MA2 = 200;
extern int MA_type = 1;
extern int Price_type = 0;
//---- buffers

double   CloudTop[];
double   CloudBottom[];
double   Cloud1;
double   Cloud2;

//----
int a_begin;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  

   IndicatorBuffers(2);
//----
   
   SetIndexStyle(0,DRAW_HISTOGRAM,STYLE_DOT);
   SetIndexBuffer(0,CloudTop);
   SetIndexDrawBegin(0,1);

//----
   SetIndexStyle(1,DRAW_HISTOGRAM,STYLE_DOT);
   SetIndexBuffer(1,CloudBottom);
   SetIndexDrawBegin(1,1);

 
   return(0);
  }
//+------------------------------------------------------------------+
//| MA_Cloud                                                         |
//+------------------------------------------------------------------+
int start()
  {
   int i,j,limit,counted_bars=IndicatorCounted();
   
   
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   
   for(i=0; i<limit; i++)
   {
      Cloud1=iMA(NULL,0,MA1,0,MA_type,Price_type,i);
      Cloud2=iMA(NULL,0,MA2,0,MA_type,Price_type,i);
            
      if(Cloud1 >= Cloud2) CloudTop[i]=Cloud1;
         else CloudTop[i]=Cloud2;
         
      if(Cloud1 <= Cloud2) CloudBottom[i]=Cloud1;
         else CloudBottom[i]=Cloud2;
      
      
    }
      
//----
   return(0);
  }
//+------------------------------------------------------------------+


